<html>
<head>
<title>BeagleBone Power Monitoring and Control</title>
<style type="text/css">
    p { display: table-cell; }
    button { width: 75px; margin: 2px auto; }
</style>
<?php
/*! \file BeaglePowerControl.php
 * Code written by Graham Umlauf for the SmartOutlet final project for Digital II at Rowan University.
 * Directly requires UART.py by Andrew Furlong, written for the same.
 * Indirectly requires additional code by Joshua Haas and Zachary Cooker written for the same.
 * Code written to work on the BeagleBone Black A5.
 * This code serves as the end-uder interface for controlling the power outlets and displaying the current power usage.  It does so by calling UART.py, a function that allows the BeagleBone Black to communicate via UART with a microchip.
 * This page can be accessed at xxx.xxx.x.x/BeaglePowerControl.php, where xxx.xxx.x.x is the IP address of the BeagleBone.
 * This page is designed to be stored at ~/www/pages/BeaglePowerControl.php and uses lighttpd to host the webpage.
 * The following code takes in the argument from the buttons displayed on the page and then passes them to calls of UART.py.  Due to how UART.py works, each argument is a combination of a port number and an action, instead of using port number and action as two separate arguments that can be both called.
 * The code triggers whenever the argument is assigned; in this case, whenever one of the buttons is pushed.
 * \n\n
 * The main content of the web page is shown below:
 \image html webpage.jpg
 * 
 */
    if (isset($_GET['arg']))
    {
        $arg = $_GET['arg'];    //!< 'arg' is the sole variable used here to pass arguments from the button to the Python UART controller.
        exec("python /home/root/SmartOutlet/smartoutletbbb/UART.py $arg ", $out);
        var_dump($out);
    }
    ?>
//!Main HTML Code:
/*!
 This code displays six buttons, each of which assigns a value to the variable arg when pressed (and, in doing so, calls the PHP portion of the code to run UART.py).
 */
</head>
<body>
    <div style="width: 200px; margin: 0px auto;">
        <div style="width: 100px; float: left;">
            /*!
             Set of buttons for controlling plug 1: on, off, and read.
             */
            <p>Plug 1:</p>
            <button type="button" onclick="location.href='BeaglePowerControl.php?arg=-1c'">READ</button>
            <button type="button" onclick="location.href='BeaglePowerControl.php?arg=-1e'">ON</button>
            <button type="button" onclick="location.href='BeaglePowerControl.php?arg=-1d'">OFF</button>
        </div>
        <div style="width: 100px; float: left;">
            /*!
             Set of buttons for controlling plug 2: on, off, and read.
             */
            <p>Plug 2:</p>
            <button type="button" onclick="location.href='BeaglePowerControl.php?arg=-2c'">READ</button>
            <button type="button" onclick="location.href='BeaglePowerControl.php?arg=-2e'">ON</button>
            <button type="button" onclick="location.href='BeaglePowerControl.php?arg=-2d'">OFF</button>
        </div>
    </div>
</body>
</html>
