#include <xc.h>
#include <stdint.h>
#include <plib.h>
#include "ADC.h"

//! Intalize pin 7 as ADC
void InitializeADCPin(void)
{
    PIN7 = 1;
    PIN_ADC = 1;
}

//! Clear ADC settings
void ClearADC(void)
{
    AD1 = 0;
    AD2 = 0;
    AD3 = 0;
}

//! Reads the ADC 120 times to find the max
int ReadADCPeak( void )
{

    int elapsed, sampletime, i = 0;
    int samples[120] = {};

    ADC_SAMPLE_CLOCK = 1;                   //ADC Clock Period
    ADC_ON_OFF = 1;                         //Turns on A/D converter


    // Clock is set at 4MHz, designed to take 60 samples for a period of
    // a 120Hz AC sin wave
    for(i; i < 120; i++ )
    {
    WriteCoreTimer(0);                       //Starts core clock timer
    ADC_CHANNEL =  5;                       //Connects pin AN5 to MUXA for sampling
    ADC_SAMPLE = 1;                         //Begins Sampling
    elapsed = ReadCoreTimer();              //Time to Sample
    sampletime = elapsed + 250;             //Increments time between sample
    while (ReadCoreTimer() < sampletime);   //
    ADC_SAMPLE = 0;                         //Began Conversion

    //1 sample is equal to 556 clock cycles therefore once conversion is completed
    //And there have been 556 total cycles value is assigned to sample array
    while(!ADC_CONVERSION && ReadCoreTimer() < 556);
    samples[i] = ADC_BUFFER;

    }

    // Used to find max/ min of sinusoid. Vpeak is then calculated.
    int MAX = 0, MIN = 0, temp;

    for(i = 0; i < 120; i++)
    {
        temp = samples[i];

        if (temp > MAX)
            MAX = temp;

    }

    return MAX;

}


