/**
 * @file ADC.h
 * @author Zachary Kooker
 * @date April 29, 2014, 9:11 PM
 *
 * Used to read values form the PIC32's ADC.
 */

#ifndef ADC_H
#define	ADC_H

#include <stdint.h>
#include <plib.h>

//! Intializes pin for ADC
  void InitializeADCPin(void);
    #define PIN7 TRISBbits.TRISB3
    #define PIN_ADC ANSELBbits.ANSB3

//! Clears settings for adc
  void ClearADC(void);
    #define AD1 AD1CON1
    #define AD2 AD1CON2
    #define AD3 AD1CON3

#define ADC_SAMPLE_CLOCK AD1CON3bits.ADCS  //ADC Conversion Clock Select Bits
#define ADC_CHANNEL AD1CHSbits.CH0SA         //Links AN5 aka pin 7 to MUXA
#define ADC_ON_OFF AD1CON1bits.ADON          //Turns ADC on/off
#define ADC_IF IFS0bits.AD1IF                //???
#define ADC_SAMPLE AD1CON1bits.SAMP          //Begins Sampling
#define ADC_CONVERSION AD1CON1bits.DONE    //waits for conversion
#define ADC_BUFFER ADC1BUF0                  //ADC Buffer

#endif	/* ADC_H */
