/**
 * @file UART.h
 * @author Michael Muhlbaier, Joshua Haas, Zachary Kooker
 * @date February 24, 2014, 4:46 PM
 *
 * Code for communicating with the BeagleBone Black.
 */

#ifndef UART_H
#define	UART_H

#include <stdint.h>
#include <plib.h>

#define BAUD_RATE 9600

#define SW_ON 0
#define SW_OFF 1

#define VDD LATBbits.LATB7 //RB7
#define SWITCH LATBbits.LATB8 //RB8

#define V_MAINS_RMS 116.84
#define V_BBB3V3 3.3827

void SW_pin_Init(void);

void UART_Init(void);
void SW_pin_Init(void);

void send_power(void);
void send_status(void);

#endif	/* UART_H */
